# Anserini Release Notes (v0.3.0)

**Release date: December 16, 2018**

+ Final release based on Lucene 6; upgrade to Lucene 7 planned next.
+ TREC 2018 additions:
  - Added runbooks for Anserini and h2oloo groups.
  - Added code for News Track Background Linking Task.
  - Added default regressions for Common Core Track.
+ Revived and augmented experimental feature to index/search Freebase.
+ Added Jelinek-Mercer smoothing for QL scoring.
+ Updated JDIQ regression tests to align with article publication.
+ Added regression tests for SIGIR Forum article.
+ Added ability to supply multiple retrieval parameters on command line for more efficient parameter sweeps.
+ Fixed bug in implementation of `-rm3.fbTerms`.
+ Refactored Ax and RM3 feedback reranker to construct queries programmatically instead of using Lucene's `QueryParser`.


## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ryan Clancy ([r-clancy](https://github.com/r-clancy))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Matteo Catena ([catenamatteo](https://github.com/catenamatteo))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))


## All Contributors

Sorted by number of commits, [according to GitHub](https://github.com/castorini/Anserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Peilin Yang ([Peilin-Yang](https://github.com/Peilin-Yang))
+ Ahmet Arslan ([iorixxx](https://github.com/iorixxx))
+ Royal Sequiera ([rosequ](https://github.com/rosequ))
+ Boris Lin ([borislin](https://github.com/borislin))
+ Yuhao Xie ([Kytabyte](https://github.com/Kytabyte))
+ Salman Mohammed ([Salman Mohammed](https://github.com/salman1993))
+ Luchen Tan ([LuchenTan](https://github.com/LuchenTan))
+ Victor Yang ([Victor0118](https://github.com/Victor0118))
+ Michael Tu ([tuzhucheng](https://github.com/tuzhucheng))
+ Dayang Shi ([dyshi](https://github.com/dyshi))
+ Ryan Clancy ([r-clancy](https://github.com/r-clancy))
+ Xin Qian ([xeniaqian94](https://github.com/xeniaqian94))
+ Adam Roegiest ([aroegies](https://github.com/aroegies))
+ Kuang Lu ([lukuang](https://github.com/lukuang))
+ Peng Shi ([Impavidity](https://github.com/Impavidity))
+ Mengfei Liu ([meng-f](https://github.com/meng-f))
+ Mina Farid ([minafarid](https://github.com/minafarid))
+ Gaurav Baruah ([gauravbaruah](https://github.com/gauravbaruah))
+ Xing Niu ([xingniu](https://github.com/xingniu))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Matteo Catena ([catenamatteo](https://github.com/catenamatteo))
+ Petek Yıldız ([ptkyldz](https://github.com/ptkyldz))
